function MessageFromMenu(nCount,Param1)
if Param1==2000029 then
	CreateWindow(200,200,"3",100,"messageinfo")  
return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(1002,67,47,0,10,1001,1100);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;			
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("albert_house",17,0);
		DarkScreen(false);
		if flags.minicomplete2 then
			StopEmiter("Pict");
			playeffect("rollets");
			AddParticleToObject(56,"Flower",0,0);
			StartEmiter("Flower");
			MoveEmiter("Flower",124,295);				
			flags.minitext=true;
			speciale_action(2,56,true);
			speciale_action(2,54,true);
			flags.curtout=true
			Set_Cursor(56,2)
			--AddParticleToObject(56,"./particles/particle6.psi");
			speciale_action(2,53,true);
			Set_Cursor(63,3)

		return; end;
	return; end;
	if sender==36 then
	    if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("albert_house");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete2=true;
		StartTimer(2100,2)
		playeffect("miniC");
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	if sender==1 then
	
		if id==6000 then
			   CreateWindow(200,200,"3",100,"messageinfo")
		return;end;		
		if id==5000 and skipping then
			if not flags.minicomplete2 then
			playeffect("skip");
				finish_mini_game(true);
				for i=1002,1020,2 do
					SetAlfa(i,1,1)
				end;
			return;end;		
		return;end;	
	  if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("albert_house");
			DeleteResource("bm1_btn");
			DeleteResource("bm1_obj1");
			DeleteResource("bm1_obj2");
			DeleteResource("bm1_obj3");
			DeleteResource("bm1_obj4");
			DeleteResource("bm1_obj5");
			DeleteResource("bm1_obj6");		
			DeleteResource("bm1_obj7");	
			DeleteResource("bm1_obj8");		
			DeleteResource("bm1_obj9");	
			DeleteResource("bm1_obj10");			
			DeleteResource("bm1_num");
			DeleteResource("bm1_counter");
			DeleteResource("bm1_bg");	  
	  return;end;
--	  if id>=1001 and id<=1020 then
		  check_mini_game_compare(0);
		  playeffect("1");
	--	  SetAlfa(id,1,1,0.0001)
	--  end;
	return;end;
	
	
end;
function mini_delete ()

end;